using System;
using System.Collections.Generic;

public class GameInShop : WfScreenManager
{
	public void Awake()
	{
		this.adv_kag_ = GameMain.Instance.ScriptMgr.adv_kag;
	}

	public override void Start()
	{
		base.Start();
		this.move_screen_ = base.children_dic["Move"].GetComponent<WfScreenMoveChildren>();
		string empty = string.Empty;
		string empty2 = string.Empty;
		if (this.adv_kag_.tag_backup != null && 0 < this.adv_kag_.tag_backup.Count && this.adv_kag_.tag_backup["name"] == "SceneShop")
		{
			NDebug.Assert(this.adv_kag_.tag_backup.ContainsKey("label"), "SceneCallにlabelの設定がされていませんでした");
			this.move_screen_.SetNextLabel(this.adv_kag_.tag_backup["label"]);
			if (this.adv_kag_.tag_backup.ContainsKey("bg_id"))
			{
				this.select_bg_id = int.Parse(this.adv_kag_.tag_backup["bg_id"]);
			}
			else
			{
				this.select_bg_id = 0;
			}
		}
		GameInShopMain component = base.children_dic["Main"].GetComponent<GameInShopMain>();
		this.CallScreen("Main");
	}

	protected override void SettingChildrenList(Dictionary<string, WfScreenChildren> children_dic)
	{
		string[] array = new string[]
		{
			"Main",
			"Move"
		};
		for (int i = 0; i < array.Length; i++)
		{
			WfScreenChildren component = UTY.GetChildObject(base.gameObject, array[i], false).GetComponent<WfScreenChildren>();
			component.parent_mgr = this;
			children_dic.Add(array[i], component);
		}
	}

	public WfScreenMoveChildren move_screen
	{
		get
		{
			return this.move_screen_;
		}
	}

	public int select_bg_id { get; private set; }

	private WfScreenMoveChildren move_screen_;

	private ADVKagManager adv_kag_;
}
